> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post maxcommandsadd announcer



## OpenAPI

````yaml /api-reference/oda-max-service-1.0.0.yml post /max/commands/add-announcer
openapi: 3.0.1
info:
  title: oda-max-service
  version: 1.0.0
servers: []
security: []
paths:
  /max/commands/add-announcer:
    post:
      operationId: addAnnouncer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddAnnouncer.AddAnnouncerRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Void'
components:
  schemas:
    AddAnnouncer.AddAnnouncerRequest:
      required:
        - accountId
        - buttons
        - chatId
        - text
        - trigger
        - type
      type: object
      properties:
        text:
          type: string
        accountId:
          type: string
        chatId:
          type: integer
          format: int64
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/AddAnnouncer.Button'
        trigger:
          type: string
        type:
          $ref: '#/components/schemas/AnnouncerData.AnnouncerType'
    Void:
      type: object
    AddAnnouncer.Button:
      required:
        - text
        - url
      type: object
      properties:
        text:
          type: string
        url:
          type: string
    AnnouncerData.AnnouncerType:
      type: string
      enum:
        - ANNOUNCE_STREAM_AND_DELETE
        - ANNOUNCE_STREAM

````